;-----------------------------------------------------------------------------;
; Programm:     FREIGABE.LSP                                                  ;
;-----------------------------------------------------------------------------;
;                                                                             ;
; Beschreibung: Erzeugen eines PLT-Files fuer den Freigabeordner              ;
;                                                                             ;
;-----------------------------------------------------------------------------;


(defun c:freigabe (/ p1 p2 File)
	(setq p1 (getpoint "\nUntere linke Ecke des Fensters angeben: "))
	(setq p2 (getpoint "\nObere rechte Ecke des Fensters angeben: \n"))
	(setq File (strcat "c:/cad/" (Dateiname "PLT")))
	(DateiPlot2000 p1 p2 File)
	(princ (strcat "\nDatei " (strcase file) " erfolgreich gespeichert. "))
	(princ)
)


(defun DateiPlot2000 (p1 p2 File)
	(setvar "filedia" 0)
	(command "_.-plot")
	(command "_y")				; detailliert?
	(command "Model") 			; Layoutnamen eingeben
	(command "PLT-Datei.pc3") 		; Ausgabegertname eingeben
	(command "ISO A4 (297.00 x 210.00 MM)") 				; Papierformat angeben
	(command "M") 				; Papiereinheiten angeben
	(command "Q") 				; Ausrichtung der Zeichnung angeben
	(command "_n") 				; Auf dem Kopf plotten?
	(command "_w") 				; Plotbereich angeben [Anzeige/Grenzen/Limiten/ANsicht/Fenster]
	(command p1) 				; Untere linke Ecke des Fensters angeben
	(command p2) 				; Obere rechte Ecke des Fensters angeben
	(command "A") 				; Millimeter=Zeichnungseinheiten)
	(command "0.00,0.00")			; Plotversatz angeben (x,y) oder [Zentrum]
	(command "_y") 				; Mit Plotstilen plotten?
	(command "meine.ctb") 			; Potstiltabellenname angeben
	(command "_n") 				; Mit Linienstrken plotten?
	(command "_n") 				; Verdeckte Linien entfernen?
	(command "_y") 				; Plot in Datei ausgeben
	(command File)				; Die Plotdatei inc. Pfad
	(command "_n") 				; nderungen an Register Modell speichern
	(command "_y") 				; nderungen an Register Modell speichern
	(setvar "filedia" 1)
)


(defun Dateiname (Extension / aktDwg)
	(setq aktDwg (getvar "DWGNAME"))
	(strcat (substr aktDwg 1 (- (strlen aktDwg) 4)) "." Extension)
)
